Subject: Re: linux-next: manual merge of the tpmdd tree with the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 27 Nov 2019 07:32:18 +1100

Hi all,

On Mon, 18 Nov 2019 12:39:44 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the tpmdd tree got a conflict in:
> 
>   include/Kbuild
> 
> between commit:
> 
>   fcbb8461fd23 ("kbuild: remove header compile test")
> 
> from the kbuild tree and commit:
> 
>   47f9c2796891 ("KEYS: trusted: Create trusted keys subsystem")
> 
> from the tpmdd tree.
> 
> I fixed it up (I just removed the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the kbuild tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell